ARCAT(8)

NAME
arcat - create or update an archive of formatted and compressed man pages.

SYNOPSIS
/usr/sbin/arcat [ -p ] [ -v ] [ -r ] [ -M manpath ] [ -A archive ] [ -C ]

DESCRIPTION
Arcat creates or updates an archive (usually /usr/share/man/manpages) of formatted and compressed man pages normally taken from the /usr/share/man/cat? directories. The formatted man pages in these directories should be created using /usr/sbin/catman prior to using this command so that man pages which are simply .so directives are made into symbolic links and can subsequently be picked up by arcat. An ndbm contents list, /usr/share/man/manpages.dir, /usr/share/man/manpages.pag, is created for the archive file (/usr/share/man/manpages.A) itself. Any symbolic links encountered in the /usr/share/man/cat? directories are simply noted in contents list and are not stored in the archive.

Arcat works through the formatted man pages in the directories and compresses them using /usr/ucb/compress to append them to the archive. The archive simply contains the compressed pages. The contents list says where each page starts in the archive and how long it is.

Arcat does not delete entries from the archive, although it will update the contents list if the entry already exists. The -C option can be used to compress the archive - removing all unused entries.

If the -r option is given arcat will also remove each file which it inserts into the archive or contents list.

OPTIONS

-p  displays the contents list. The archive is not changed. The contents list is displayed in an arbitrary order, one entry per line. Entries which are links are followed by the value of the link (normally another entry name.)

-v  produces more verbose output with the -p option, and causes a list of processed entries to be generated with the -C option. The information contains the start offset and size of each non-link entry in the archive file.

-r  remove files from the cat? directories which are inserted into the archive - both links and proper files are removed.

-M  Specifies a “:” separated man search path. All cat? directories found on this path will be searched. Relative path names may be used.

-A  followed by the base name of an archive changes the archive used. The default base name is /usr/share/man/manpages the extensions used are .pag, .dir and .A for all commands except -C, which also uses .tmp.pag, .tmp.dir and .tmp.A.

-C  compacts the specified archive (by default /usr/share/man/manpages). The contents are rewritten, and a new .A file is produced.

FILES
/usr/share/man		manual directory location
/usr/share/man/cat?/*.*	preformatted manual pages
/usr/share/man/manpages.A	archive of formatted and compressed man pages
/usr/share/man/manpages	ndbm contents list for the archive

SEE ALSO
man(1), manpages(5), catman(8), compress(1)